Index: scripts/autotools/autoconf.add
===================================================================
--- scripts/autotools/autoconf.add	(revision f6d780f8ba0ac0ff89f2eb85d6926fcc4c03893e)
+++ scripts/autotools/autoconf.add	(revision f6d780f8ba0ac0ff89f2eb85d6926fcc4c03893e)
@@ -0,0 +1,91 @@
+%define rpmvers 2.59
+%define srcvers	2.59
+
+%define _name			autoconf
+
+%if "%{_prefix}" != "/usr"
+%define name			@rpmprefix@%{_name}-rtems
+%else
+%define name			%{_name}
+%endif
+
+
+Name:         %{name}
+Packager:     Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+Copyright:    GPL
+URL:          http://www.gnu.org/software/autoconf
+Group:        @rpmgroup@
+Version:      %{rpmvers}
+Release:      4
+Summary:      Tool for automatically generating GNU style Makefile.in's
+BuildArch:    noarch
+BuildRequires: perl m4 gawk emacs
+Requires:     m4 gawk
+Requires(post):		/sbin/install-info
+Requires(preun):	/sbin/install-info
+
+Source: autoconf-%{srcvers}.tar.bz2
+Patch0: autoconf-2.59-quoting-20040817-1.diff
+
+%description
+GNU's Autoconf is a tool for configuring source code and Makefiles.
+Using Autoconf, programmers can create portable and configurable
+packages, since the person building the package is allowed to
+specify various configuration options.
+You should install Autoconf if you are developing software and you'd
+like to use it to create shell scripts which will configure your
+source code packages.
+Note that the Autoconf package is not required for the end user who
+may be configuring software with an Autoconf-generated script;
+Autoconf is only required for the generation of the scripts, not
+their use.
+
+%prep
+%setup -q -n %{_name}-%{srcvers}
+%patch -p0 -P 0
+
+%build
+./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir} \
+  --bindir=%{_bindir} --datadir=%{_datadir}
+make
+
+%install
+rm -rf "${RPM_BUILD_ROOT}"
+make DESTDIR=${RPM_BUILD_ROOT} install
+
+# Create this directory to prevent the corresponding line
+# in %%files below to fail
+mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp
+
+rm -f $RPM_BUILD_ROOT%{_infodir}/dir
+touch $RPM_BUILD_ROOT%{_infodir}/dir
+
+gzip -9qf $RPM_BUILD_ROOT%{_infodir}/autoconf.info* 2>/dev/null
+# RTEMS's standards.info comes from binutils
+rm -f $RPM_BUILD_ROOT%{_infodir}/standards.info*
+
+gzip -9qf $RPM_BUILD_ROOT%{_mandir}/man?/* 2>/dev/null
+
+%clean
+   rm -rf "$RPM_BUILD_ROOT"
+
+%post
+install-info  --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz
+
+%preun
+if [ $1 -eq 0 ]; then
+  install-info --delete --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz
+fi   
+
+%files
+%defattr(-,root,root)
+# %doc AUTHORS COPYING ChangeLog NEWS README THANKS
+%{_bindir}/*
+%dir %{_infodir}
+%ghost %{_infodir}/dir
+
+%{_infodir}/autoconf.info*
+%{_mandir}/man?/*
+%{_datadir}/autoconf
+%exclude %{_datadir}/emacs/site-lisp
Index: scripts/autotools/automake.add
===================================================================
--- scripts/autotools/automake.add	(revision f6d780f8ba0ac0ff89f2eb85d6926fcc4c03893e)
+++ scripts/autotools/automake.add	(revision f6d780f8ba0ac0ff89f2eb85d6926fcc4c03893e)
@@ -0,0 +1,96 @@
+#
+# spec file for automake 
+#
+
+%define rpmvers 1.9.5
+%define srcvers	1.9.5
+%define amvers  1.9
+
+%define _name 	automake
+
+%if "%{_prefix}" != "/usr"
+%define name			@rpmprefix@%{_name}-rtems
+%define requirements		@rpmprefix@autoconf-rtems >= 2.59
+%else
+%define name			%{_name}
+%define requirements		autoconf >= 2.59
+%endif
+
+Name:         %{name}
+Packager:     Ralf Corsepius <ralf_corsepius@rtems.org>
+URL: 	      http://sources.redhat.com/automake
+
+License:      GPL
+Group:        @rpmgroup@
+
+Version:      %{rpmvers}
+Release:      2
+Summary:      Tool for automatically generating GNU style Makefile.in's
+BuildArch:    noarch
+BuildRequires:  %{requirements} perl help2man
+Requires:     %{requirements}
+Requires(post):	      	/sbin/install-info
+Requires(preun):	/sbin/install-info
+
+Source: ftp://ftp.gnu.org/gnu/automake/automake-%{srcvers}.tar.bz2
+Patch0: automake-1.8.1-rtems-20040112-1.diff
+
+%description
+Automake is a tool for automatically generating "Makefile.in"s from
+files called "Makefile.am". "Makefile.am" is basically a series of
+"make" macro definitions (with rules being thrown in occasionally).
+The generated "Makefile.in"s are compatible to the GNU Makefile
+standards.
+
+%prep
+%setup -q -n %{_name}-%{srcvers}
+%patch0 -p0
+
+%build
+PATH=%{_prefix}/bin:$PATH
+./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir} \
+  --bindir=%{_bindir} --datadir=%{_datadir}
+make
+
+%install
+rm -rf "$RPM_BUILD_ROOT"
+make DESTDIR=${RPM_BUILD_ROOT} install
+
+install -m 755 -d $RPM_BUILD_ROOT/%{_mandir}/man1
+for i in $RPM_BUILD_ROOT%{_bindir}/aclocal \
+  $RPM_BUILD_ROOT%{_bindir}/automake ; 
+do
+  perllibdir=$RPM_BUILD_ROOT/%{_datadir}/automake-%{amvers} \
+  help2man $i > `basename $i`.1
+  install -m 644 `basename $i`.1 $RPM_BUILD_ROOT/%{_mandir}/man1
+done
+
+gzip -9qf $RPM_BUILD_ROOT%{_infodir}/*.info* 2>/dev/null
+gzip -9qf $RPM_BUILD_ROOT%{_mandir}/man?/* 2>/dev/null
+
+rm -f $RPM_BUILD_ROOT%{_infodir}/dir
+touch $RPM_BUILD_ROOT%{_infodir}/dir
+
+%clean
+   rm -rf "$RPM_BUILD_ROOT"
+
+%post 
+install-info  --info-dir=%{_infodir} %{_infodir}/automake.info.gz
+
+%preun
+if [ $1 -eq 0 ]; then
+  install-info --delete --info-dir=%{_infodir} %{_infodir}/automake.info.gz
+fi
+
+%files
+%defattr(-,root,root)
+%doc AUTHORS COPYING ChangeLog NEWS README THANKS
+%{_bindir}/aclocal*
+%{_bindir}/automake*
+%dir %{_infodir}
+%ghost %{_infodir}/dir
+%{_infodir}/automake.info*.gz
+%{_mandir}/man?/*
+%{_datadir}/aclocal-%{amvers}
+%{_datadir}/automake-%{amvers}
+
Index: scripts/autotools/header.add
===================================================================
--- scripts/autotools/header.add	(revision f6d780f8ba0ac0ff89f2eb85d6926fcc4c03893e)
+++ scripts/autotools/header.add	(revision f6d780f8ba0ac0ff89f2eb85d6926fcc4c03893e)
@@ -0,0 +1,3 @@
+#
+# Copyright  (c)  2005 Ralf Corsepius, Ulm/Germany
+#
